statistics-0.16.2.1: A library of statistical types, data, and functions

Copyright | (c) 2009 2011 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Statistics.Distribution.Gamma

Contents

- Constructors
- Accessors

Description

The gamma distribution. This is a continuous probability distribution with two parameters, k and ϑ. If k is integral, the distribution represents the sum of k independent exponentially distributed random variables, each of which has a mean of ϑ.

Synopsis

- data GammaDistribution
- gammaDistr :: Double -> Double -> GammaDistribution
- gammaDistrE :: Double -> Double -> Maybe GammaDistribution
- improperGammaDistr :: Double -> Double -> GammaDistribution
- improperGammaDistrE :: Double -> Double -> Maybe GammaDistribution
- gdShape :: GammaDistribution -> Double
- gdScale :: GammaDistribution -> Double

# Documentation

data GammaDistribution Source #

The gamma distribution.

#### Instances

Instances details

FromJSON GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods parseJSON :: Value -> Parser GammaDistribution Source # parseJSONList :: Value -> Parser [GammaDistribution] Source #
ToJSON GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods toJSON :: GammaDistribution -> Value Source # toEncoding :: GammaDistribution -> Encoding Source # toJSONList :: [GammaDistribution] -> Value Source # toEncodingList :: [GammaDistribution] -> Encoding Source #
Data GammaDistribution Source # |

Instance details

Defined in Statistics.Distribution.Gamma

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> GammaDistribution -> c GammaDistribution Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c GammaDistribution Source #

toConstr :: GammaDistribution -> Constr Source #

dataTypeOf :: GammaDistribution -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c GammaDistribution) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c GammaDistribution) Source #

gmapT :: (forall b. Data b => b -> b) -> GammaDistribution -> GammaDistribution Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> GammaDistribution -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> GammaDistribution -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> GammaDistribution -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> GammaDistribution -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> GammaDistribution -> m GammaDistribution Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> GammaDistribution -> m GammaDistribution Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> GammaDistribution -> m GammaDistribution Source #

Generic GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Associated Types type Rep GammaDistribution :: Type -> Type Source # Methods from :: GammaDistribution -> Rep GammaDistribution x Source # to :: Rep GammaDistribution x -> GammaDistribution Source #
Read GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods readsPrec :: Int -> ReadS GammaDistribution Source # readList :: ReadS [GammaDistribution] Source # readPrec :: ReadPrec GammaDistribution Source # readListPrec :: ReadPrec [GammaDistribution] Source #
Show GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods showsPrec :: Int -> GammaDistribution -> ShowS Source # show :: GammaDistribution -> String Source # showList :: [GammaDistribution] -> ShowS Source #
Binary GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods put :: GammaDistribution -> Put Source # get :: Get GammaDistribution Source # putList :: [GammaDistribution] -> Put Source #
Eq GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods (==) :: GammaDistribution -> GammaDistribution -> Bool Source # (/=) :: GammaDistribution -> GammaDistribution -> Bool Source #
ContDistr GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods density :: GammaDistribution -> Double -> Double Source # logDensity :: GammaDistribution -> Double -> Double Source # quantile :: GammaDistribution -> Double -> Double Source # complQuantile :: GammaDistribution -> Double -> Double Source #
ContGen GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods genContVar :: StatefulGen g m => GammaDistribution -> g -> m Double Source #
Distribution GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods cumulative :: GammaDistribution -> Double -> Double Source # complCumulative :: GammaDistribution -> Double -> Double Source #
MaybeEntropy GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods maybeEntropy :: GammaDistribution -> Maybe Double Source #
MaybeMean GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods maybeMean :: GammaDistribution -> Maybe Double Source #
MaybeVariance GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods maybeVariance :: GammaDistribution -> Maybe Double Source # maybeStdDev :: GammaDistribution -> Maybe Double Source #
Mean GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods mean :: GammaDistribution -> Double Source #
Variance GammaDistribution Source # |
Instance details Defined in Statistics.Distribution.Gamma Methods variance :: GammaDistribution -> Double Source # stdDev :: GammaDistribution -> Double Source #
type Rep GammaDistribution Source # |

Instance details

Defined in Statistics.Distribution.Gamma

type Rep GammaDistribution = D1 ('MetaData "GammaDistribution" "Statistics.Distribution.Gamma" "statistics-0.16.2.1-EfbCvDihUgt16PhDul7t8F" 'False) (C1 ('MetaCons "GD" 'PrefixI 'True) (S1 ('MetaSel ('Just "gdShape") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "gdScale") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

# Constructors

gammaDistr Source #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be positive.

gammaDistrE Source #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> Maybe GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be positive.

improperGammaDistr Source #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be non-negative.

improperGammaDistrE Source #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> Maybe GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be non-negative.

# Accessors

gdShape :: GammaDistribution -> Double Source #

Shape parameter, k.

gdScale :: GammaDistribution -> Double Source #

Scale parameter, ϑ.